plugins {
    java
    id("com.github.johnrengelman.shadow") version "6.0.0"
}

group = "io.gitlab.jfronny"
version = "1.0"

repositories {
    mavenCentral()
}

dependencies {
    fun dependency(dependencyNotation: Any) {
        implementation(dependencyNotation)
        shadow(dependencyNotation)
    }

    dependency("org.jdom:jdom:1.1")
}

tasks.getByName<Test>("test") {
    useJUnitPlatform()
}